<?php

namespace Garradin;

use Garradin\Plugin\RecusFiscaux\Activite;
use Garradin\Plugin\RecusFiscaux\Personne;
use Garradin\Plugin\RecusFiscaux\Tarif;
use Garradin\Plugin\RecusFiscaux\Utils;

// récupérer les infos du formulaire
$tarifsSelectionnes = f('tarifs') ?: [];

// taux de réduction associés
$tauxSelectionnes = array();
foreach ($tarifsSelectionnes as $idTarif) {
    $nomRadio = "taux_reduction_" . $idTarif;
    $valRadio = f("$nomRadio");
    $tauxSelectionnes[$idTarif] = $valRadio;
}
$_SESSION['tauxSelectionnes'] = $tauxSelectionnes;

// obtenir les instances de tarifs correspondant à la sélection
$lesTarifs = array();
foreach (Utils::getTarifs($tarifsSelectionnes) as $ot) {
    $lesTarifs[$ot->id] = $ot;
}
$_SESSION['lesTarifs'] = $lesTarifs;

// activités correspondants aux tarifs sélectionnés
$lesActivites = array();
foreach (Utils::getActivites($tarifsSelectionnes) as $activite) {
    $lesActivites[$activite->id] = $activite;
}
$_SESSION['lesActivites'] = $lesActivites;

// versements correspondants aux tarifs sélectionnés
$_SESSION['lesVersements'] = Utils::getVersementsTarifs($_SESSION['annee_recu'],
                                                        $tarifsSelectionnes,
                                                        $champsNom);

// préparation de l'affichage
$tpl->assign('lesActivites', $lesActivites);
$tpl->assign('lesTarifs', $lesTarifs);
$tpl->assign('lesVersements', $_SESSION['lesVersements']);
$tpl->assign('plugin_css', ['style.css']);

// envoyer au template
$tpl->display(PLUGIN_ROOT . '/templates/versements_activites.tpl');
